package cmd

import (
	"ledo/app/cmd/docker"

	"github.com/urfave/cli/v2"
)

var CmdDocker = cli.Command{
	Name:        "docker",
	Aliases:     []string{"d"},
	Category:    catHelpers,
	Usage:       "docker helper",
	Description: `Manage docker-compose in project`,
	Action:      runDockerDefault,
	Subcommands: []*cli.Command{
		&docker.CmdDockerPs,
		&docker.CmdDockerFqn,
		&docker.CmdDockerUp,
		&docker.CmdComposeBuild,
		&docker.CmdComposeDebug,
		&docker.CmdComposeDown,
		&docker.CmdComposeLogs,
		&docker.CmdComposeRestart,
		&docker.CmdComposeRun,
		&docker.CmdComposeShell,
		&docker.CmdComposeStart,
		&docker.CmdComposeUpOnce,
		&docker.CmdComposePull,
		&docker.CmdComposeStop,
		&docker.CmdDockerLogin,
	},
}

func runDockerDefault(ctx *cli.Context) error {
	return docker.RunComposePs(ctx)
}
